- entityDefinitions:
  - IDI_AccessModifier_Private: '{82bef402-2a8b-45d2-bfef-0de3a355bd22}'
  - IDI_AccessModifier_Protected: '{23e264b2-e8a0-4d0c-96c2-308586a46eaa}'
  - IDI_AccessModifier_Public: '{68be791f-f64b-4eeb-bc6a-2f040c4e90d2}'
  - IDI_AccessModifier_RootA2: '{286bcf7a-9dcb-4c83-9a5c-09a31dc8f10b}'

  - IDR_Metadata_With_Access_Modifier__has__Access_Modifier: '{c8551fb1-6dc5-47cb-8b8f-204d49e6007e}'
  - IDR_Access_Modifier__for__Metadata_With_Access_Modifier: '{fdebdc6f-5b0d-4b57-af1f-7dda9f85357f}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_AccessModifier;'
    name: 'Access Modifier'
    index: 4170
    customTagName: 'accessModifier'
    defaultTask: '&IDI_Task_ViewAccessModifier;'
    relatedTasks:
    - instance: '&IDI_Task_ViewAccessModifier;'
    - instance: '&IDI_Task_EditAccessModifier;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Order;'
      customTagName: 'order'

  - relationship: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
    index: 11853
    sourceClassId: '&IDC_MetadataWithAccessModifier;'
    type: 'has'
    destinationClassId: '&IDC_AccessModifier;'
    siblingRelationshipId: '&IDR_Access_Modifier__for__Metadata_With_Access_Modifier;'
    singular: yes

  - relationship: '&IDR_Access_Modifier__for__Metadata_With_Access_Modifier;'
    index: 11854
    sourceClassId: '&IDC_AccessModifier;'
    type: 'for'
    destinationClassId: '&IDC_MetadataWithAccessModifier;'
    siblingRelationshipId: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
    singular: no

  - accessModifier: '&IDI_AccessModifier_Private;'
    name: 'Private'
    order: a
  - accessModifier: '&IDI_AccessModifier_Protected;'
    name: 'Protected'
    order: b
  - accessModifier: '&IDI_AccessModifier_Public;'
    name: 'Public'
    order: c
  - accessModifier: '&IDI_AccessModifier_RootA2;'
    name: 'Root (A2)'
    order: d
